- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# duprow_action Class Reference

Detect and remove duplicate rows. More...

`#include <CoinPresolveDupcol.hpp>`

Inheritance diagram for duprow_action:

[legend]
Collaboration diagram for duprow_action:

[legend]
List of all members.

## Public Member Functions
const char * | name () const
| A name for debug printing.
void | postsolve (CoinPostsolveMatrix *prob) const
| Apply the postsolve transformation for this particular presolve action.
## Static Public Member Functions
static const CoinPresolveAction * | presolve (CoinPresolveMatrix *prob, const CoinPresolveAction *next)
## Private Member Functions
| duprow_action ()
| duprow_action (int nactions, const action *actions, const CoinPresolveAction *next)
## Private Attributes
const int | nactions_
const action *const | actions_
## Classes
struct | action

## Detailed Description

Detect and remove duplicate rows.

The algorithm to detect duplicate rows is as outlined for dupcol_action.

If the feasible interval for one constraint is strictly contained in the other, the tighter (contained) constraint is kept. If the feasible intervals are disjoint, the problem is infeasible. If the feasible intervals overlap, both constraints are kept.

duprow_action is definitely a work in progress; postsolve is unimplemented. This doesn't matter as it uses useless_constraint.

Definition at line 86 of file CoinPresolveDupcol.hpp.

## Constructor & Destructor Documentation

duprow_action::duprow_action | ( |  | ) | `[inline, private]`

Definition at line 96 of file CoinPresolveDupcol.hpp.

duprow_action::duprow_action | ( | int | nactions,
|  | const action * | actions,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[inline, private]`

Definition at line 97 of file CoinPresolveDupcol.hpp.

## Member Function Documentation

const char* duprow_action::name | ( |  | ) | const`[virtual]`

A name for debug printing.

It is expected that the name is not stored in the transform itself.

Implements CoinPresolveAction.

static const CoinPresolveAction* duprow_action::presolve | ( | CoinPresolveMatrix * | prob,
|  | const CoinPresolveAction * | next |
| ) |  |  | `[static]`

void duprow_action::postsolve | ( | CoinPostsolveMatrix * | prob | ) | const`[virtual]`

Apply the postsolve transformation for this particular presolve action.

Implements CoinPresolveAction.

## Member Data Documentation

const int duprow_action::nactions_`[private]`

Definition at line 93 of file CoinPresolveDupcol.hpp.

const action* const duprow_action::actions_`[private]`

Definition at line 94 of file CoinPresolveDupcol.hpp.

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Alps-1.2.1/CoinUtils/src/CoinPresolveDupcol.hpp